| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightningFactoryState Struct Reference
[Mesh plugins]

`#include <imesh/lghtng.h>`

Inheritance diagram for iLightningFactoryState:

[legend]
List of all members.

## Public Member Functions
virtual const csVector3 & | GetOrigin () const =0
| Get the point of origin.
virtual void | SetOrigin (const csVector3 &pos)=0
| Set the point of origin, the center of the texture.

## Detailed Description

Todo:
  Document me!

Definition at line 34 of file lghtng.h.

## Member Function Documentation

virtual const csVector3& iLightningFactoryState::GetOrigin | ( |  | ) | const`[pure virtual]`

Get the point of origin.

virtual void iLightningFactoryState::SetOrigin | ( | const csVector3 & | pos | ) | `[pure virtual]`

Set the point of origin, the center of the texture.

The documentation for this struct was generated from the following file:

- imesh/lghtng.h